import 'wxt';
import { defineWxtModule, addViteConfig, addImportPreset } from 'wxt/modules';
import react$1 from '@vitejs/plugin-react';

const react = defineWxtModule({
  name: "@wxt-dev/module-react",
  configKey: "react",
  setup(wxt, options) {
    const { vite } = options ?? {};
    addViteConfig(wxt, () => ({
      plugins: [react$1(vite)]
    }));
    addImportPreset(wxt, "react");
    wxt.hook("config:resolved", (wxt2) => {
      var _a;
      if (wxt2.config.imports === false)
        return;
      (_a = wxt2.config.imports).dirsScanOptions ?? (_a.dirsScanOptions = {});
      wxt2.config.imports.dirsScanOptions.filePatterns = [
        // Default plus JSX/TSX
        "*.{ts,js,mjs,cjs,mts,cts,jsx,tsx}"
      ];
    });
  }
});

export { react as default };
